CMSIS-DSP: arm_fir_interpolate_instance_f32 Struct Reference

| CMSIS-DSP Version 1.5.2 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_fir_interpolate_instance_f32 Struct Reference

Instance structure for the floating-point FIR interpolator.

## Data Fields
uint8_t | L
uint16_t | phaseLength
float32_t * | pCoeffs
float32_t * | pState

## Field Documentation

uint8_t arm_fir_interpolate_instance_f32::L

upsample factor.

Referenced by arm_fir_interpolate_f32(), and arm_fir_interpolate_init_f32().

float32_t* arm_fir_interpolate_instance_f32::pCoeffs

points to the coefficient array. The array is of length L*phaseLength.

Referenced by arm_fir_interpolate_f32(), and arm_fir_interpolate_init_f32().

uint16_t arm_fir_interpolate_instance_f32::phaseLength

length of each polyphase filter component.

Referenced by arm_fir_interpolate_f32(), and arm_fir_interpolate_init_f32().

float32_t* arm_fir_interpolate_instance_f32::pState

points to the state variable array. The array is of length phaseLength+numTaps-1.

Referenced by arm_fir_interpolate_f32(), and arm_fir_interpolate_init_f32().